+++
date = "2021-11-29"
weight = 100

title = "v2021.4 Release schedule"

aliases = [
    "/release/v2021.4/release_schedule",
]
+++

The v2021.4 release cycle started in January 2022.

| Milestone                                                                                                | Date              |
| -------------------------------------------------------------------------------------------------------- | ----------------- |
| Start of release cycle                                                                                   | 2022-01-01        |
| Soft feature freeze: end of feature proposal and review period                                           | 2022-02-16        |
| Soft code freeze/hard feature freeze: end of feature development for this release, only bugfixes allowed | 2022-02-23        |
| Release candidate 1 (RC1)/hard code freeze: no new code changes may be made after this date              | 2022-03-02        |
| RC testing                                                                                               | 2022-03-03..03-09 |
| v2021.4 release                                                                                          | 2022-03-10        |

If the release candidate 1 does not successfully pass all required
tests, then the issues will be fixed and a new release candidate will be
re-tested. This would delay the release, which would be reflected on
this page.

## See also

  - Previous [release schedules]( {{< ref "/policies/releases.md" >}} ) and
    more information about the timeline
